/*
 * ESP8266 RGBW controller
 * Copyright 2020 (c) Mark van Renswoude
 *
 * https://git.x2software.net/pub/RGBWifi
*/
#include "./strip.h"
#include <Math.h>
#include <FS.h>
#include "./debug.h"
#include "./global.h"



NeoGamma<NeoGammaTableMethod> colorGamma;
RgbwColor clearColor(0);


void Strip::init(uint16_t ledCount)
{
  mBus = new NeoPixelBus<NeoGrbwFeature, Neo800KbpsMethod>(ledCount);
  mBus->Begin();

  setStatic(clearColor);
}


void Strip::setStatic(const RgbwColor color)
{
  mBus->ClearTo(colorGamma.Correct(color));
  mBus->Show();
}
